<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.ItemList"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="popup" title="Create biomaterial list">
<base:head 
	scripts="~new_list.js,~../reggie-2.js"
	styles="~../css/reggie-2.css"
/>
<base:body>
	<h1>Create biomaterial list</h1>

	<form name="options" id="wizard" class="wizard">
	<div class="content bottomborder">
	
		<table class="fullform input100 step-form">
		<tr>
			<th>List type</th>
			<td>
				<label><input type="radio" name="memberType" id="memberType.RNA" value="RNA" checked>RNA</label><br>
				<label><input type="radio" name="memberType" id="memberType.Specimen" value="SPECIMEN">Specimen</label>
			</td>
		</tr>
		<tr>
			<th>Name</th>
			<td>
				<input class="text required auto-init" data-auto-init="focus" 
					type="text" name="name" id="name"
					maxlength="<%=ItemList.MAX_NAME_LENGTH%>"></td>
			</td>
		</tr>
		<tr class="dynamic">
			<th>Description</th>
			<td>
				<textarea class="text" rows="6" name="description" id="description"></textarea>
			</td>
			<td style="width: 20px;">
				<base:zoom textarea="description" title="Description" />
			</td>
		</tr>
		<tr>
			<th></th>
			<td colspan="2">
				<div id="wizard-status"></div>
			</td>
		</tr>
		</table>
	
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnOk" title="Ok" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>